## org.apache.cassandra.streaming
Class StreamInitiateVerbHandler

    java.lang.Object
      org.apache.cassandra.streaming.StreamInitiateVerbHandler

All Implemented Interfaces:
  IVerbHandler

    public class StreamInitiateVerbHandler

extends java.lang.Object
implements IVerbHandler

Constructor Summary
`StreamInitiateVerbHandler()`

Method Summary
`void` `doVerb(Message message)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).
`java.lang.String` `getNewFileNameFromOldContextAndNames(java.util.Map<java.lang.String,java.lang.String> fileNames, java.util.Map<java.lang.String,java.lang.String> pathNames, org.apache.cassandra.streaming.PendingFile pendingFile)`
`java.util.Map<java.lang.String,java.lang.String>` `getNewNames(org.apache.cassandra.streaming.PendingFile[] pendingFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamInitiateVerbHandler

    public StreamInitiateVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

### getNewFileNameFromOldContextAndNames

    public java.lang.String getNewFileNameFromOldContextAndNames(java.util.Map<java.lang.String,java.lang.String> fileNames,
                                                                 java.util.Map<java.lang.String,java.lang.String> pathNames,
                                                                 org.apache.cassandra.streaming.PendingFile pendingFile)

### getNewNames

    public java.util.Map<java.lang.String,java.lang.String> getNewNames(org.apache.cassandra.streaming.PendingFile[] pendingFiles)
                                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation